libdevice User's Guide (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 3.303. __nv_ull2float_ru

Prototype:

    float @__nv_ull2float_ru(i64 %l)

Description:

Convert the unsigned integer value `x` to a single-precision floating point value in round-up (to positive infinity) mode.

Returns:

Returns converted value.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes